Distribution: 	CCux
Packager: 	Michael Kaiser <f4tmike@web.de>

Name: 		kphoneSI
Version: 	1.0.1
Release: 	1
Source0: 	kphoneSI.tar.gz
Source1: 	kphoneSI.desktop
Patch0:		kphoneSI-srtp.patch
Summary: 	A voice over internet phone
URL: 		http://www.wirlab.net/kphone/index.html
License: 	GPL
Group: 		Networking/Other
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	xorg-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libmutil-devel
BuildRequires:  libpng-devel
BuildRequires:  qt-devel
BuildRequires:  libstdc++-devel
BuildRequires:  srtp-devel
BuildRequires:  libmutil-devel

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux, with which you can initiate VoIP (Voice over IP) connections over the Internet.
It supports Presence and Instant Messaging, and to some extent also video calls between two hosts.

%prep
%setup -n kphoneSI
%patch0 -p1

%build
./configure --prefix=%_kdedir --disable-debug --enable-srtp
make

%install
make install prefix=$RPM_BUILD_ROOT/opt/kde
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
mkdir -p $RPM_BUILD_ROOT/%_kdedir/share/applnk/Internet
cp -f %{SOURCE1} $RPM_BUILD_ROOT/%_kdedir/share/applnk/Internet

%files
%defattr(-,root,root)
%_kdedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux> 1.0.1-1
- version update
* Sun May 13 2006 Michael Kaiser <f4tmike@web.de> 1.0-1
- First package Release
